<?php

	/* CHANGE THESE VARIABLES WHEN ADJUSTING THE REDIRECT TARGETS
	  
	  $iOSURL: URL to AppStore
	  $androidURL: URL to Android Marketplace
	  $mobileURL: URL to other mobile Website
	  $desktopURL: URL to Desktop Site
	*/

	$iOSURL = "itunes.apple.com/de/app/wikipedia-mobile/id324715238";
	$androidURL = "play.google.com/store/apps/details?id=org.wikipedia";
	$mobileURL = "en.m.wikipedia.org";
	$desktopURL = "en.wikipedia.org";


	// Disabel error reporting on prouction sites
	error_reporting(E_ALL);

	// include Mobile_Detect class
	require_once 'Mobile_Detect.php';
	
	// set 302 header variable to notify that the sites was found
	header('HTTP/1.1 302 Found');
	
	// detect device
	$detect = new Mobile_Detect();
	
	// redirect to AppStor if iOS
	if ($detect->isiOS())
		header( 'Location: http://'.$iOSURL );
	elseif ($detect->isAndroidOS())
		header('Location: http://'.$androidURL);
	elseif ($detect->isMobile())
		header('Location: http://'.$mobileURL);
	else
		header( 'Location: http://'.$desktopURL ) ;
		
	exit;
?>